## Yocto BSP Package for COM HPC AVA Systems

​	Software : Yocto BSP Based on Kirkstone Branch

​	Hardware : COM HPC AVA System

## **Release Package**

```shell
COMHPC-AVA_Yocto_ARM64_AMPERE_AVA_2V1.0.0  BSP Images
YoctoBSP_AVA_ReleaseNotes.md 	         : This Document

```

## History:

2.1:

Removed EWAOL Layer support  

2.0:

Added BCM57502 and X710 support, Yocto BSP based on Kirksone branch with kernel 5.15 support 

https://github.com/AdlinkCCoE/meta-adlink-ampere/tree/kirkstone

1.0:

Yocto BSP is based on Hardknott branch of meta-adlink-ampere 
https://github.com/ADLINK/meta-adlink-ampere/tree/honister-dev



## **BSP**

```shell
COMHPC-AVA_Yocto_ARM64_AMPERE_AVA_2V1.0.0    :  Yocto BSP (Kirkstone Branch)

md5sum :
  b15d92eaf02f8fa4c566b186fcd2d989 :  adlink-image-validation-ava.wic.bmap
  8312ebf8fd02bde6f20417c181748bff :  adlink-image-validation-ava.wic.gz
```




**Flashing Instructions**
---------------------
```shell
Please refer the Below link to Boot from USB and Flash into NVMe M.2 SSD

https://www.ipi.wiki/pages/comhpc-docs

Please check "Prepare Bootable Medium" section under "How to Build Yocto"
```

## Supported Interfaces

```shell
1. UART 0 (Console)
2. VGA output (AST-2510)
3. USB 3.0, USB 2.0 (MS/KB)
4. NVMe M.2 (Storage: SSD)
5. DDR4
6. I210-LM ethernet
7. Pcie
8. BCM57502
9. IntelX710	
```
